; batch-save-as-image.scm 
; samj octobre 2008
;
; enregistre des images dans un autre type (conversion) en ajoutant l'extension au nom de l'image d'origine
; C://gimp_2_6_1//bin//gimp-2.6.exe -i -b '(batch-save-as-image "C:\\essai\\*.xcf" ".png")' -b '(gimp-quit 0)'
;

(define 
	(batch-save-as-image
		pattern
		nouvelle_extension
	)
	
	(let* 
		(
			(filelist (cadr (file-glob pattern 1)))
		)
		
		(while 
			(not (null? filelist))
			
				(let* 
					(
						(filename (car filelist))
						(image (car (gimp-file-load RUN-NONINTERACTIVE filename filename)))
						(drawable (car (gimp-image-get-active-layer image)))
					) 		
					(gimp-image-flatten image)            
					(set! drawable (car (gimp-image-get-active-layer image))) 
					(gimp-file-save RUN-NONINTERACTIVE image drawable (strcat filename nouvelle_extension) (strcat filename nouvelle_extension) )
					(gimp-image-delete image)
				)
           
				(set! filelist (cdr filelist))
		)
	)
)

(script-fu-register "batch-save-as-image"
		_"_Conversion images..."
		_"Taitement par lot conversion images"
		""
		"samj"
		"octobre 2008"
		""
		SF-STRING 	_"Fichier(s)" 		"C:\\essai\\*.xcf"
		SF-STRING 	_"Nouvelle extension" 	".png"
)

(script-fu-menu-register "batch-save-as-image" "<Image>/File/Create") 

; fin du script


